program garbageDisposer
implicit none
real :: arr(100)=0.0
integer :: mySpud

open(newunit=mySpud,file='ohPleaseDeleteMe',ACTION='READWRITE',status='REPLACE',ACCESS='STREAM',ASYNCHRONOUS='YES',FORM='UNFORMATTED',DISPOSE='DELETE')
write(mySpud) arr
rewind(mySpud)
read(mySpud) arr
rewind(mySpud)
write(mySpud) arr
pause
close(mySpud)
end program garbageDisposer
